 /* Overall formatting */
 
    .jspsych-content {
      align-items: center;
      justify-content: center;
    }

    .jspsych-btn {
      font-size: 20px;     
      padding: 10px 15px;   
      margin-top: 20px;     
      border-radius: 5px;  
    }
    
    .text-container {
        position: relative;
        max-width:900px;
        margin:auto;
        padding:10px;
        font-size:22px;
        line-height:1.4;
        text-align:center;
        max-width: 800px;
    }
    
    .neuroage-logo {
        position:absolute;
        top:0;
        left:0;
        width:auto;
        height:90px;
    }
    
    .reading-logo {
        position:absolute;
        top:0;
        right:0;
        width:auto;
        height:90px;
    }
    
    .text-box {
        text-align:left;
        margin-top:15px;
        background:#f7f7f7;
        padding:10px 30px;
        border-radius:10px;
    }
    
    .id-box {
        font-size:20px;
        padding:10px;
        width:280px;
        text-align:center;
        border-radius:8px;
        border:2px solid #cccccc;
    }
    
    .thanks {
        margin-bottom:10px; 
        color:#2c7a2c;
    }
    
    .subhead {
        font-size:24px;
    }
    
    .end-box {
        margin-top:15px; 
        background:#f7f7f7; 
        padding:10px 15px; 
        border-radius:10px; 
        text-align:left;
    }
    
    .final-thanks {
         margin-top:15px; 
         font-size:20px; 
         color:#666; 
    }
    
    .correct-text {
        font-size:45px;
        color:green
    }
    
    .incorrect-text {
        font-size:45px;
        color:red
    }
    
    /*Dot Counting*/
    /*Question Prompt*/
    .dot-question {
        font-size: 28px;
        font-weight: bold;
        margin-bottom: 20px;
    }
    
    .dot-img {
        width:400px;
    }
    
   
    
    /*Dot Counting */
    /*Number Pad */
    .num-btn {
        font-size: 20px;
        margin: 5px;
        width: 70px;
        height: 70px;
    }

    .num-btn.selected {
        background-color: #4a90e2;
        color: white;
    }

    .choice-container {
      width: 125px;                   
      display: flex;
      align-items: center;
      justify-content: center;
    }

    

    /*PAL*/
    /*PAL Example Images */
    .pal-example {
        height:300px;
    }
    
    .pg-four {
        display: flex;
        flex-direction: column;
        justify-content: center;  
        font-size: 20px;
        min-height: 60vh;
        padding: 40px;
        max-width: 700px;
        text-align: left;
        margin: 0 auto;
    }
    
    .pal-question {
        text-align: center; 
        font-size: 24px; 
        margin-bottom: 20px
    }
    
    .pal-encode {
        display: flex; 
        justify-content: center; 
        gap: 50px; 
        margin-bottom: 40px;
    }
    
    .pal-encode-img {
        width: 350px;
    }
    
    .pal-btn {
        font-size: 22px;
        padding: 12px 28px;
        border-radius: 8px;
        border: 2px solid black;
        background-color: white;
        min-width: 160px;
        cursor: pointer;
        margin: 0 60px;
    }
    
    .pal-recall-question {
        text-align:center;
    }
    
    .pal-recall-img {
        height:300px; 
        margin-bottom:20px;
    }
    
    .pal-recall-choices {
        display:flex;
        flex-wrap:wrap;
        justify-content:center;
        gap:10px;
    }
    
    .pal-btn:hover {
        background-color: #f2f2f2;
    }
    
    .choice {
      cursor: pointer;
      width:125px; 
      height:125px; 
      margin:5px; 
    }
    
    /*SILHOUETTES*/
    .sihouettes-qs {
        text-align:center;
    }
    
    .silhouettes-img {
        height:300px;
    }
    
    .silhouettes-options {
        display:flex;
        flex-wrap:wrap;
        gap:10px;
        justify-content:center;
        margin-top:5px;
    }
    
    
    /*TMT*/
    .practice {
        display: flex;
        flex-direction: column;
        align-items: center;
        min-height: 60vh;
        justify-content: center;
        padding: 10px;
    }
    
    .practice-text {
        margin-bottom: 20px; 
        font-size: 18px; 
        text-align: center;
    }
    
    .practice-row {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 40px;
    }
    
    .practice-svg {
        border:1px solid black;
        flex-shrink: 0;
        width:900px;
        height:500px;
    }
    
    .practice-right {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 12px;
        max-width: 220px;
        text-align: center;
    }
    
    .practice-nxt-txt {
        font-size: 18px;
        line-height:1.4;
    }
    
    .practice-nxt-btn {
        font-size: 16px;
        padding: 8px 16px;
        cursor: pointer;
    }
    
    .post-practiceb {
        padding-left: 18px; 
        text-align: left;
    }
    
    .trail {
        display: flex;
        min-height: 60vh;
        padding: 20px 20px 20px 20px;
        align-items: center;
        flex-direction: row;
        width: 100%;
    }
    
    .trail-instructions {
        font-size: 18px;
        max-width: 240px;
        text-align: center;
        line-height: 1.4;
        margin-right: auto;
    }
    
    .trail-svg {
        width: 60vw;
        max-width: 600px;
        height: 90vh;
        max-height: 900px;
        display: block;
        border: 1px solid black;
    }
    
    .trail-right {
        width: 240px;
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        margin-left: auto;
    }
    
    .trail-nxt-txt {
        font-size: 18px;
        padding: 30px;
        line-height: 1.4;
    }
    
    .trail-nxt-btn {
        font-size: 16px;
        padding: 8px 16px;
        cursor: pointer;
    }
    
    /*SYMBOL SYMBOL*/
    .key-img {
        height:150px;
    }
    
    .example-1-img {
        height:200px;
    }
    
    .task-layout-img {
        height:300px;
    }
    
    .symbol-choice{
      height:70px;
      cursor:pointer;
      margin:4px;
    }

    .symbol-choice:hover{
          transform:scale(1.05);
    }
      
    .symbol-1 {
        display:flex; 
        flex-direction:column; 
        align-items:center; 
        justify-content:center; 
        gap:30px;
    } 
    
    .symbol-label {
        font-size:30px; 
        font-weight:bold; 
        text-align: center
    }
    
    .symbol-2 {
        display:flex; 
        align-items:center; 
        justify-content:center; 
        gap:10px; 
        margin-bottom:20px;
    }
    
    .symbol-key-label {
        font-size:24px; 
        font-weight:bold; 
        text-align:right;
    }
    
    .symbol-key {
        height:150px;
    }
    
    .target-img {
        height:220px;
    }
    
    .symbol-options {
        display:flex; 
        flex-wrap:wrap; 
        justify-content:center; 
        gap:10px; 
        margin-top:10px;
    }
    
    .symbol-reminder {
        position:fixed;
        top:50%;
        right:20px;
        transform: translateY(-50%);
        width:220px;
        font-size:18px;
        border:2px solid #000;
        padding:10px;
        border-radius:8px;
        background-color:#f5f5f5;
        text-align:center;
        z-index:1000;
    }
    
    .symbol-end-btn {
        position:fixed;
        bottom:20px;
        right:20px;
        padding:12px 18px;
        font-size:16px;
        border:none;
        border-radius:8px;
        background:#cc0000;
        color:white;
        cursor:pointer;
        z-index:2000;
    }
    
    #end-task-global{
      position:fixed;
      bottom:20px;
      right:20px;
      padding:12px 18px;
      font-size:16px;
      border:none;
      border-radius:8px;
      background:#cc0000;
      color:white;
      cursor:pointer;
      z-index:5000;
    }
    
    /*DIGIT SPAN*/
    .stimuli-text {
        font-size:150px;
    }
    
    .qs-text {
        font-size:30px;
    }

    /*Response Box */
    .jspsych-display-element input[type="text"] { 
        font-size: 24px !important;
        padding: 5px;
        width: 300px;
    }
    
    /*MINT*/
    .mint-example {
        height:300px;
    }
    
    .mint-trial {
        display: flex; 
        align-items: center; 
        width: 100%;
    }
    
    .mint-trial-left {
        flex: 1; 
        display: flex; 
        justify-content: center;
    }
    
    .mint-btn {
        display: flex;
        width: 120px;
        height: 40px;
        align-items: center;
        justify-content: center;
    
        margin: 20px auto;
        font-size: 16px !important;
        padding: 8px 16px !important;
        cursor: pointer;
    }
    
    .mint-btn-reminder {
        font-size: 14px; 
        color: #555; 
        max-width: 280px; 
        margin: 0 auto;
    }
    
    .mint-trial-right {
        flex: 1; 
        display: flex; 
        justify-content: center
    }
    
    .mint-trial-feedback {
        font-size: 24px; 
        text-align:center;
    }
    
    .mint-example-text {
        position: relative;
        max-width:900px;
        margin:auto;
        padding:10px;
        font-size:22px;
        line-height:1.4;
        text-align:center;
        max-width: 900px;
    }
    
    .hint-box {
      border: 2px solid #0077cc;   /* blue border */
      background-color: #e0f0ff;   /* light blue background */
      padding: 10px 15px;           /* space inside box */
      border-radius: 8px;           /* rounded corners */
      font-size: 22px;
      text-align: center;
      box-shadow: 2px 2px 6px rgba(0,0,0,0.2); /* subtle shadow */
      margin: 5px 0;
      transition: all 0.3s ease;    /* smooth reveal effect */
      visibility:hidden;
      width:200px;
    }
    
    .mint-trial-centre {
        flex: 0 0 300px; 
        text-align: center
    }
    
    .mint-trial-img {
        height:300px; 
        display:block; 
        margin: 0 auto;
    }
    
    .mint-trial-label {
        font-size:26px;
    }
    
    .mint-trial-response-box {
        font-size:20px; 
        padding:5px;
    }
    
    
    .selected{
        border:5px solid red;
    }
  




  